> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 연결 해제 처리

> 재시도, 오류 코드, 스트림 안정성에 대한 안내와 함께 X API v2 Powerstream 엔드포인트에서 연결 해제, 재연결 및 backfill을 처리하세요.

이 페이지에서는 Powerstream 전용 연결 해제 처리를 다룹니다. 모든 스트리밍 엔드포인트에 대한 연결 해제 처리에 관한 포괄적인 지침은 [연결 해제 처리 기본 가이드](/x-api/fundamentals/handling-disconnections)를 참조하세요.

## Powerstream 연결 해제 처리

연결 해제 처리의 핵심 개념은 모든 스트리밍 엔드포인트에 적용됩니다. 기본 가이드에서 다음을 확인하세요:

* 연결이 끊어지는 이유
* 일반적인 연결 해제 오류
* 연결 해제 감지
* 재연결 전략 및 backoff
* 모범 사례

## 손실된 데이터 복구

연결 해제가 발생한 경우 놓친 데이터를 복구하기 위한 전략은 [복구 및 이중화](/x-api/fundamentals/recovery-and-redundancy)를 참조하세요. 여기에는 다음이 포함됩니다:

* **Backfill** — 5분 이하의 연결 해제에는 `backfillMinutes` 매개변수를 사용합니다
* **Recovery** — 더 긴 연결 해제(최대 24시간)에는 `startTime` 및 `endTime` 매개변수를 사용합니다

### Powerstream backfill 예시

```bash theme={null}
curl 'https://api.x.com/2/powerstream?backfillMinutes=5' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

### Powerstream recovery 예시

```bash theme={null}
curl 'https://api.x.com/2/powerstream?startTime=2022-07-12T15:10:00Z&endTime=2022-07-12T15:20:00Z' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

***

## 다음 단계

<CardGroup cols={2}>
  <Card title="연결 해제 처리" icon="plug" href="/x-api/fundamentals/handling-disconnections">
    전체 연결 해제 처리 가이드
  </Card>

  <Card title="복구 및 이중화" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-shield-keyhole.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=a0e05514090c8a6af232297bfb9c4055" href="/x-api/fundamentals/recovery-and-redundancy" width="24" height="24" data-path="icons/xds/icon-shield-keyhole.svg">
    놓친 데이터 복구하기
  </Card>

  <Card title="스트리밍 데이터 소비" icon="stream" href="/x-api/fundamentals/consuming-streaming-data">
    견고한 스트리밍 클라이언트 구축
  </Card>
</CardGroup>
